¡Bienvenido!

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios, compartir los mejores contenidos y nuevas ideas de marketing, construir su perfil profesional y mejorar el mercado para todos.

0

Error al crear una factura con la nueva versión de l10n_cl_fe versión 11.0.0.20.3

por
Rod
en 24-03-20 12:20 222 vistas

Me aparece el siguiente error al tratar de agregar un producto a la factura.

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/fields.py", line 949, in __get__

    value = record.env.cache.get(record, self)

  File "/opt/odoo/odoo/odoo/api.py", line 977, in get

    value = self._data[key][field][record._ids[0]]

KeyError: <odoo.models.NewId object at 0x7fdd0c95b9d8>


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/http.py", line 653, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo/odoo/http.py", line 312, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/opt/odoo/odoo/odoo/http.py", line 695, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo/odoo/odoo/http.py", line 344, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/http.py", line 337, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 939, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 517, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 934, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 926, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 699, in call_kw

    return call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 690, in call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/models.py", line 5248, in onchange

    for name in nametree

  File "/opt/odoo/odoo/odoo/models.py", line 5249, in <listcomp>

    if name not in done and snapshot0.has_changed(name)

  File "/opt/odoo/odoo/odoo/models.py", line 5151, in has_changed

    return self[name] != record[name]

  File "/opt/odoo/odoo/odoo/models.py", line 4823, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "/opt/odoo/odoo/odoo/fields.py", line 955, in __get__

    self.determine_draft_value(record)

  File "/opt/odoo/odoo/odoo/fields.py", line 1077, in determine_draft_value

    self._compute_value(record)

  File "/opt/odoo/odoo/odoo/fields.py", line 1011, in _compute_value

    getattr(records, self.compute)()

  File "/opt/extra-addons/l10n_cl_fe/models/account_invoice.py", line 76, in _compute_price

    if t.uom_id and t.uom_id.category_id != line.uom_id.category_id:

AttributeError: 'account.tax' object has no attribute 'uom_id'

hola, posiblemente no han actualizado l10n_cl_chart_of_account

Daniel Alejandro Santibanez Polanco, Daniel Santibáñez Polanco
de 09-04-20 03:39

Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

9 seguidor(es)

Estadísticas

Preguntado: 24-03-20 12:20
Visto: 222 veces
Última actualización: 09-04-20 03:38